Skip to main content

Remove a label from the quotation

DELETEhttps://carchost.fieldcontrol.com.br/quotations/{id}/labels/{labelId}

Removes a label from the quotation. The label is not deleted. The success response uses status 200, with a message.

Requires the X-Api-Key and User-Agent headers. Limit: 1 request per second (learn more).

Request​

Path parameters

idstringrequired

Quotation identifier.

Example: YmIwYzk1ZGMtYzNhYi00YmQ4LTkxNjEtZDVjNTU1ZTQxNTQwOjIyOTE1.

labelIdstringrequired

Label identifier.

Example: Y2I4YTU2ZjAtNDQ1Ni00YjM5LTg4MTEtYjU1ZGJjNTQxYzA0OjIyOTE1.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Responses

  • 200

    Label removed.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 404

    Quotation does not exist or the label was not added to it. No body.

  • 422

    Invalid identifier in the path or one from another account (uriValidationErr), or invalid query parameter (parametersValidationErr). A valid identifier that does not exist returns 404.

  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.